/*
  info.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __INFO_H__
#define __INFO_H__

#include <qlabel.h>
#include <qstring.h>

class Info : public QLabel
{
  public:
	Info(QWidget *parent, const char *name=0, WFlags f=0);
	void dispInfo(QString const &str);
	void hide();

  protected:
	void timerEvent(QTimerEvent *e);

  private:
	void stopTimer();
	int timer_id;
	
};

#endif // __INFO_H__
